Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit f2a25500 authored by Romain Hunault's avatar Romain Hunault 💻
Browse files

Merge branch 'rhunault-remove-twrp-script' into 'master'

Update get-from-ecloud.sh

Closes #3

See merge request !8
parents 7bc8755a 72faf20b
Loading
Loading
Loading
Loading
+17 −17
Original line number Diff line number Diff line
@@ -16,11 +16,11 @@
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Parameter
# $1: E_ARCHIVE_URL
# $2: E_FOLDER (will be created if doesn't exist)
# $1: ARCHIVE_URL
# $2: FOLDER (will be created if doesn't exist)

# Exit status
# - 0 : /e/ downloaded
# - 0 : archive downloaded
# - 1 : Generic error code (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 2 : Parse error—for instance, when parsing command-line options, the ‘.wgetrc’ or ‘.netrc’... (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 3 : File I/O error (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
@@ -31,43 +31,43 @@
# - 8 : Server issued an error response (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 10: No internet connection
# - 11: Invalid file downloaded
# - 101 : E_ARCHIVE_URL missing
# - 102 : E_FOLDER missing
# - 101 : ARCHIVE_URL missing
# - 102 : FOLDER missing

E_ARCHIVE_URL=$1
E_FOLDER=$2
ARCHIVE_URL=$1
FOLDER=$2

if ! ping -c 1 gitlab.e.foundation 2>&1 >/dev/null
then
  exit 10
fi

if [ -z ${E_FOLDER} ]
if [ -z ${FOLDER} ]
then
  exit 101
fi

if [ -z ${E_ARCHIVE_URL} ]
if [ -z ${ARCHIVE_URL} ]
then
  exit 102
fi

mkdir -p ${E_FOLDER}
FILENAME=$(basename ${E_ARCHIVE_URL})
wget -O ${E_FOLDER}/${FILENAME}.sha256sum ${E_ARCHIVE_URL}.sha256sum
E_FOLDER_ESCAPED=$(echo ${E_FOLDER} | sed 's/\/$//' | sed 's/\//\\\//g')
sed -i 's/\(.*\)  \(.*\)/\1 '${E_FOLDER_ESCAPED}'\/\2/' ${E_FOLDER}/${FILENAME}.sha256sum
mkdir -p ${FOLDER}
FILENAME=$(basename ${ARCHIVE_URL})
wget -O ${FOLDER}/${FILENAME}.sha256sum ${ARCHIVE_URL}.sha256sum
FOLDER_ESCAPED=$(echo ${FOLDER} | sed 's/\/$//' | sed 's/\//\\\//g')
sed -i 's/\(.*\)  \(.*\)/\1 '${FOLDER_ESCAPED}'\/\2/' ${FOLDER}/${FILENAME}.sha256sum

sha256sum -c ${E_FOLDER}/${FILENAME}.sha256sum
sha256sum -c ${FOLDER}/${FILENAME}.sha256sum
SUM_OK=$?
if [ ${SUM_OK} = 0 ]
then
  exit 0
fi

wget -O ${E_FOLDER}/${FILENAME} ${E_ARCHIVE_URL}
wget -O ${FOLDER}/${FILENAME} ${ARCHIVE_URL}

sha256sum -c ${E_FOLDER}/${FILENAME}.sha256sum
sha256sum -c ${FOLDER}/${FILENAME}.sha256sum
SUM_OK=$?
if [ ${SUM_OK} != 0 ]
then

get-twrp.sh

deleted100755 → 0
+0 −78
Original line number Diff line number Diff line
#!/bin/bash

# Copyright (C) 2019 ECORP SAS - Author: Romain Hunault
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Parameter
# $1: TWRP_IMG_URL
# $2: TWRP_FOLDER (TWRP_IMG/TWRP_IMG_URL)

# Exit status
# - 0 : TWRP downloaded
# - 1 : Generic error code (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 2 : Parse error—for instance, when parsing command-line options, the ‘.wgetrc’ or ‘.netrc’... (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 3 : File I/O error (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 4 : Network failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 5 : SSL verification failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 6 : Username/password authentication failure (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 7 : Protocol errors (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 8 : Server issued an error response (see wget exit status here: https://www.gnu.org/software/wget/manual/html_node/Exit-Status.html)
# - 10: No internet connection
# - 11: Invalid file downloaded
# - 101 : TWRP_IMG_URL missing
# - 102 : TWRP_FOLDER missing

TWRP_IMG_URL=$1
TWRP_FOLDER=$2

if ! ping -c 1 gitlab.e.foundation 2>&1 >/dev/null
then
  exit 10
fi

if [ -z ${TWRP_IMG_URL} ]
then
  exit 101
fi

if [ -z ${TWRP_FOLDER} ]
then
  exit 102
fi

mkdir -p ${TWRP_FOLDER}
FILENAME=$(basename ${TWRP_IMG_URL})
wget -O ${TWRP_FOLDER}/${FILENAME}.sha256 ${TWRP_IMG_URL}.sha256
TWRP_FOLDER_ESCAPED=$(echo ${TWRP_FOLDER} | sed 's/\/$//' | sed 's/\//\\\//g')
sed -i 's/\(.*\)  \(.*\)/\1 '${TWRP_FOLDER_ESCAPED}'\/\2/' ${TWRP_FOLDER}/${FILENAME}.sha256

sha256sum -c ${TWRP_FOLDER}/${FILENAME}.sha256
SUM_OK=$?

if [ ${SUM_OK} = 0 ]
then
  exit 0
fi

wget -O ${TWRP_FOLDER}/${FILENAME} ${TWRP_IMG_URL} --referer='https://dl.twrp.me/BUTTS'

sha256sum -c ${TWRP_FOLDER}/${FILENAME}.sha256
SUM_OK=$?

if [ ${SUM_OK} != 0 ]
then
  rm ${FILENAME}
  exit 11
fi